#!/bin/sh


##############################
# NAGIOSQL
##############################
chown -R apache:nagios /etc/nagiosql
chown -R apache:nagios /var/www/html/nagiosql

##############################
# NAGIOS CORE
##############################
chown -R apache:nagios /usr/local/nagios
find /usr/local/nagios/etc -type d -exec chmod 6775 {} \;
find /usr/local/nagios/etc/ -name \*.cfg -type f -exec chmod 775 {} \;

# root plugins
chown root:nagios /usr/local/nagios/libexec/check_dhcp
chown root:nagios /usr/local/nagios/libexec/check_icmp
chmod u+s /usr/local/nagios/libexec/check_dhcp
chmod u+s /usr/local/nagios/libexec/check_icmp

##############################
# NAGIOS XI
##############################
chown -R apache:nagios /usr/local/nagiosxi
chmod -R 6775 /usr/local/nagiosxi/etc/components
chmod -R 6775 /usr/local/nagiosxi/var/components
chmod -R 6775 /usr/local/nagiosxi/tmp

# Restart Apache
/etc/init.d/httpd restart

echo " "
echo "==============="
echo "FIX COMPLETE"
echo "==============="

exit 0;